Name:           libhawaii
Summary:        Library shared among Hawaii Shell and other applications
Version:        0.3.0
Release:        2%{?dist}
Group:          Applications/System
License:        LGPLv2+ and GPLv2+
URL:            https://github.com/mauios/libhawaii
Source0:        http://downloads.sourceforge.net/mauios/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

%description
These are the libraries used by Hawaii Shell and other projects related
to the Hawaii desktop environment.


%package devel
Summary:        Development files for Hawaii library
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake

%description devel
%{summary}.


%prep
%setup -q


%build
%cmake .
make %{?_smp_mflags} LINK='g++ -Wl,--as-needed'


%install
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_libdir}/*.so.*
%{_libdir}/hawaii
%doc AUTHORS
%doc COPYING
%doc COPYING.LIB
%doc README.md


%files devel
%{_libdir}/*.so
%{_includedir}/hawaii
%{_libdir}/cmake/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-2
- Add missing scritplets (Tomas Hrcka, #1109556)
- Omit unneeded libraries (Tomas Hrcka, #1109556)
- -devel: Depend on main package (Tomas Hrcka, #1109556)

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-1
- Initial packaging
